<?php
ob_start();
if(isset($_GET['id'])){
    $voucher_id = $_GET['id'];

$header = array('content-type: application/json');
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => "https://vouchers.perxclm.com/voucher_service_api.php?api=get_a_voucher&id=$voucher_id",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 600,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_SSL_VERIFYPEER => FALSE,
    CURLOPT_HTTPHEADER => $header,
));
$response = curl_exec($curl);
$res = json_decode($response, true);
$partner_name = explode("-",$res[0]['name']);
if($voucher_id == 12){
        $voucher_name = $partner_name[0]." Republic";
        $description = "Use it at any Chicken Republic location nationwide to get delicious meals and drinks";
}else{
        $voucher_name = $partner_name[0];
        $description = "";
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="stylesheet" href="dstv.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Mulish">
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        clifford: '#da373d',
                        general: '#f8f8f8',
                        form: '#666666',
                        option: '#333333',
                        input: '#a9a9a9',
                        total: '#003B65',
                        button: '#03AC50',
                        modal: '#F0BD2D'
                    },
                    lineHeight: {
                        'links': '120%',
                        'policy': '140%'
                    }
                }
            }
        }
    </script>
    <link rel="stylesheet" href="vouchers.css">
    <title>Bill Checkout</title>
</head>

<body>
    <div>
              <!-- Ad banner -->
        <div id="banner">
            <h3 class="text-white py-14 font-extrabold text-xl">Ad Banner</h3>
        </div>

        <!-- header nav -->
        <nav id="nav" class="ml-[120px]">
            <ul class="flex">
                <li class="flex items-center">
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="index.html">
                        Home
                        <img class="pl-2 w-[22px]" src="icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>

                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Experiences
                        <img class="pl-2 w-[22px]" src="icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>

                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Events
                    </a>
                </li>
            </ul>
        </nav>

        <!--Payment Form -->
        <div class="flex gap-8 pt-[103px] bg-general">
            
            <div class="w-1/3 ml-[180px]">
                <img class="w-[421px]" src="<?php echo $res[0]['partner_logo'] ?>" alt="DSTV subscription">
                <p>*This voucher can only be redeemed for <?php echo $voucher_name;?> services in Nigeria</p>
            </div>
            <div>
                <div class="bg-white px-5 mr-[294px] pb-12">
                    <p class="font-bold pt-5 text-xl">Redeem a <?php echo $voucher_name;?>  Voucher</p>
                    <p class="font-medium my-6 text-[15px] leading-links -tracking-[0.01em] text-form"><?php echo $description; ?></p>
                    <form name="RegForm" id="form">
                        <div>
                            <label class="capitalize font-normal" for="Package">Choose an Amount</label> <br>
                            <select
                                class="mt-2.5 rounded text-input border border-solid border-slate-400 w-[445px] h-11 p-2"
                                type="text" id="package" name="Subscription" required>

                                <option class="text-option" value="">Choose Package</option>
                                <?php foreach($res as $vouch){ ?>
                                    <option class="text-option" onclick="myFunction()" value="<?php echo $vouch['price']; ?>"><?php echo $vouch['name']; ?></option>
                                <?php   } ?>

                            </select>
                            <h1 id="package-err" class="error text-red-900 font-bold">

                            </h1>
                            <h1 id="package-success" class="success text-green-300 font-bold">

                            </h1>

                        </div>

                    
                        <hr class="w-[445px]">

                        <h2 class="mt-4 font-bold text-form text-[17px]">Recipient</h2>
                        <div class="my-6">
                            <label for="Email">Email Address</label> <br>
                            <input
                                class="h-11 mt-2.5 p-2 rounded text-input border border-solid border-slate-400 w-[445px]"
                                type="email" name="Email" placeholder="Enter Email Address">
                            <h1 id="email-err" class="error text-red-900 font-bold">

                            </h1>
                            <h1 id="package-success" class="success text-green-300 font-bold">

                            </h1>

                        </div>

                        <div class="my-8">
                            <label class="text-normal" for="phone">Phone Number</label> <br>
                            <input
                                class="h-11 mt-2.5 p-2 rounded text-input border border-solid border-slate-400 w-[445px]"
                                type="number" name="Phone" placeholder="Enter Phone Number">
                            <h1 id="phone-err" class="error text-red-900 font-bold">

                            </h1>
                            <h1 id="package-success" class="success text-green-300 font-bold">

                            </h1>

                        </div>

                        <div class="flex border-y py-5 border-solid border-slate-400 font-bold justify-between">
                            <h2 class="">Total</h2>
                            <h3 class="text-total" id="total">0 Points</h3>
                        </div>

                        <button onclick="document.getElementById('modal-bill').style.display='block'"
                            class="rounded mt-8 bg-button text-white px-28 py-4 flex mx-auto" value="send"
                            type="submit">Process
                            Order</button>
                    </form>
                </div>

                <div class="w-[489px] font-medium text-sm -tracking-[0.01em]">
                    <p class="my-4">By placing an order, you agree to (provider)’s Terms and Privacy policy</p>
                    <p class="my-4">Information and update on this order will be sent to your FirstBank registered email
                        address</p>
                </div>
            </div>
        </div>
        <?php  }else{
            header("Location: vouchers.php");
        } ?>

    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.2/jquery.min.js"></script>
    <script>
       
            function myFunction(){
                var price = document.getElementById("package").value;
                document.getElementById("total").innerHTML = price + " Points";
            }
        
    </script>
</body>

</html>
