<?php 

$header = array('content-type: application/json');
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => "vouchers.perxclm.com/voucher_service_api.php?api=get_all_partners",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 600,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_SSL_VERIFYPEER => FALSE,
    CURLOPT_HTTPHEADER => $header,
));
$response = curl_exec($curl);
$res = json_decode($response, true);

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="vouchers.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Mulish">
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        clifford: '#da373d',
                        voucher: '#F0BD2D'

                    },
                    lineHeight: {
                        'links': '120%',
                    }
                }
            }
        }
    </script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>
    <title>Vouchers</title>
</head>

<body>
    <div class="">
        <!-- AD Banner -->
        <div id="banner">
            <h3 class="text-white py-14 font-extrabold text-xl">Ad Banner</h3>
        </div>

        <!-- header nav -->
        <nav id="nav" class="ml-[120px]">
            <ul class="flex">
                <li class="flex items-center">
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="/">
                        Home
                        <img class="pl-2 w-[22px]" src="icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>
                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Experiences
                        <img class="pl-2 w-[22px]" src="icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>
                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Events </a>
                </li>
            </ul>
        </nav>

        <!-- Hero -->
        <div id="hero_banner" class="py-44 bg-no-repeat">
            <h3 class="text-white text-[34px] leading-links font-medium text-[54px] -tracking-[.01em]">Grab a voucher with your Cowries</h3>
        </div>

        <!-- generate voucher -->    
        <div class="flex flex-col px-[12px] sm:flex-row sm:gap-4 sm:py-44 sm:pl-[122px]">
            <?php foreach ($res[0] as $result) { ?>
                <div>
                    <img class="border " src="<?php echo $result['partner_logo']?>" style="width: 310px; height: 205px">
                    <p class="my-3 mx-3"><?php echo $result['partner_name']; ?></p>
                    <a class="bg-voucher px-[75px] mx-3 rounded text-black border-2 border-solid border-black py-2 sm:px-[75px] sm:ml-3" href="single-voucher.php?id=<?php echo $result['partner_id'];?>">Generate Voucher</a>
                </div>
                <?php }?>
        </div>
    </div>
</body>

</html>